Skip to main content

Order Service

Using this API, category for which you wanted to reorder services can be modified/updated.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?Yes

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

PUT https://{tenantId}.{hostname}/digitanium/v3/mpower/services/order?category=<CATEGORY>

HTTP request URL for SHIFT​

PUT https://{hostname}/auth/realms/{tenantId}/mpower/v1/services/order/?category={CATEGORY}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters (Required)​

Field NameTypeDescription
category (Required)StringCategory for which you wanted to Reorder Services. Possible values partner, backend, operator, information

Request body​

Field NameTypeDescription
uuidStringUUID of the service for which position to be modified
positionIntegerPosition of the service where it needs to be in app

Sample Request​

[
{
"uuid": "*****",
"position": 1,
},
{
"uuid": "*****",
"position": 1,
}, ...
]

Response​

Field NameTypeDescription
uuidUUIDUnique ID of service provider
nameStringName of the service

Sample Response​

[
{
"uuid": "*****",
"name": "operator"
},
{
"uuid": "*****",
"name": "operator one"
}
]

Response Status Information​

StatusTypeDescription
200OKFor successfull update
400statusBad request
401statusUnauthorized